disp('test004: If savepath does not exist');

nucfeats = {};
param = [];
savepath = 'this/file/path/does/not/exist';
model = train_nuc_shape_model(nucfeats, savepath, param);

assert(isempty(model));
disp('Test passed.');